editing postgis attriubte table crashs qgis when some fields are hidden

2010-04-14 02:55 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12709

Description

Editing the attribute table of an postgis layer with hidden fields leads to a crash when toggling back the editing mode.

1. Add a postgis layer to qgis

 2. Open the layer properties 

 3. Go to the attributes and set for some fields the edit widget to 'hidden'

 4. Open the attribute table

 5. Enable editing and do some changes

 6. Disable editing

 7. Qgis crashes

The message in the terminal window is: Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file

/usr/local/qt-4.5.2/include/QtCore/qlist.h, line 399

Reloading the same postgis layer shows, that the changes are saved, its only qgis that crashes ....

History

#1 - 2010-04-14 09:48 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

probably fixed commit:58acc85c (SVN r13311) - although the crash wasn't reproducable here.

#2 - 2010-04-15 01:15 AM - cmoe -

Hi jef

Thank you for the fix, it works for me now.
